using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

namespace InsertFileViaFtp
{
    class FTPSite
    {
        private string mSiteName;
        private string mServerUri;
        private string mLinkUrl;
        private string mUsername;
        private string mPassword;
        private bool mDefault;
        private bool mDebug;

        public FTPSite(XmlNode node)
        {
                mSiteName = node.Attributes["sitename"].Value;
                mServerUri = node.Attributes["serveruri"].Value;
                mUsername = node.Attributes["username"].Value;
                mPassword = node.Attributes["password"].Value;
                mLinkUrl = node.Attributes["linkurl"].Value;
                mDefault = ("true" == node.Attributes["default"].Value);
                mDebug = ("true" == node.Attributes["debug"].Value);
        }

        public string ServerUri
        {
            get { return mServerUri; }
        }

        public string Username
        {
            get { return mUsername; }
        }

        public string Password
        {
            get { return mPassword; }
        }

        public bool IsDefault
        {
            get { return mDefault; }
        }

        public bool Debug
        {
            get { return mDebug; }
        }

        public string LinkUrl
        {
            get { return mLinkUrl; }
        }
	
        public override string ToString()
        {
            return mSiteName;
        }
    }
}
